package dk.brics.grammar;

/**
 * An EOF terminal.
 */
public class EOFTerminalEntity extends TerminalEntity {
	
	/**
	 * Constructs a new ignorable EOF terminal.
	 */
	public EOFTerminalEntity() {
		super(null, null);
	}
	
	/**
	 * Returns string representation of this entity.
	 */
	@Override
	public String toString() {
		return "<EOF>";
	}

	@Override
	public <T> T visitBy(EntityVisitor<T> v) {
		return v.visitEOFTerminalEntity(this);
	}
}
