package dk.brics.grammar.operations;

import java.util.LinkedList;

import dk.brics.grammar.Grammar;
import dk.brics.grammar.Production;

public class DuplicitProductionRemover {

	public DuplicitProductionRemover() {
		
	}
	
	public Grammar remove(Grammar g) {
		LinkedList<Production> occurs = new LinkedList<Production>();
		for (Production p : g.getProductions()) {
			if (!occurs.contains(p)) {
				occurs.add(p);
			}
			else {
				System.out.println("REMOVED: " + p.print(p.getEntities()));
			}
		}
		return new Grammar(g.getStart(), occurs);
	}
}
