package dk.brics.grammar;

/**
 * A terminal in a production.
 */
public abstract class TerminalEntity extends Entity {
	
	/**
	 * Constructs a new terminal entity.
	 * @param label entity label, null if ignorable
	 * @param example example string, null if absent
	 */
	protected TerminalEntity(String label, String example) throws GrammarException {
		super(label, example);
	}
}
